/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Cafeteria 環境クラス
//			新規作成
//				2005.12.19	新規作成	大賀俊彦
//
package jp.co.ntt.lms.lo.Cafeteria;

import java.util.Hashtable;
import java.util.Properties;

import jp.co.ntt.lms.lo.LOException;
import jp.co.ntt.lms.lo.LoEnvironment;
import jp.co.ntt.lms.xmo.Environment;
import jp.co.ntt.lms.xmo.util.DebugLog;

public class CafeteriaLoEnv extends LoEnvironment{

	private static final String mstrFileName = "/conf/lo/Cafeteria.ini";

	/** プロパティファイルを保持します */
	private static Properties objProperty = null;

	// プロパティ定義
	/** 登録メニューURLパス */
	public static final String INSERT_MENU_URL = "insert_menu_url";
	/** 更新メニューURLパス */
	public static final String UPDATE_MENU_URL = "update_menu_url";
	/** 削除メニューURLパス */
	public static final String DELETE_MENU_URL = "delete_menu_url";

	/** 受講申請の有効期間(cookieの有効期間) 単位：日 フォルダパス */
	public static final String EXPIRES = "Expires";
	/** カフェテリアLO起動URL フォルダパス */
	public static final String LAUNCH_URL = "launch_url";
	/** 課金申請URL フォルダパス */
	public static final String KAKIN_APPLY_URL = "kakin_apply_url";
	/** 課金終了URL フォルダパス */
	public static final String KAKIN_END_URL = "kakin_end_url";
	/** コンピスキル連携受講申請終了URL フォルダパス */
	public static final String CMP_SKL_COOP_END_URL = "cmp_skl_coop_end_url";
	
	/** カフェテリア関連起動Dir パス */
	public static final String LAUNCH_DIR = "launch_dir";

	/** 申請処理用URL */
	public static final String ASSIGN_RQ_MAIL_URL = "assign_rq_mail_url";

	/** 申請確認メールテンプレートのファイルパス */
	public static final String APPLY_CONFIRM_MAIL_TEMP_PATH = "apply_confirm_mail_temp_path";

	/** １次承認依頼メールテンプレートのファイルパス */
	public static final String PRIMARY_APPROVE_RQ_MAIL_TEMP_PATH = "primary_approve_rq_mail_temp_path";
	/** １次承認URL */
	public static final String PRIMARY_APPROVE_OK_MAIL_URL = "primary_approve_ok_mail_url";
	/** １次否認URL */
	public static final String PRIMARY_APPROVE_NG_MAIL_URL = "primary_approve_ng_mail_url";
	/** １次承認通知メールテンプレートのファイルパス */
	public static final String PRIMARY_APPROVE_OK_MAIL_TEMP_PATH = "primary_approve_ok_mail_temp_path";
	/** １次否認通知メールテンプレートのファイルパス */
	public static final String PRIMARY_APPROVE_NG_MAIL_TEMP_PATH = "primary_approve_ng_mail_temp_path";

	/** 承認依頼メールテンプレートのファイルパス */
	public static final String APPROVE_RQ_MAIL_TEMP_PATH = "approve_rq_mail_temp_path";
	/** 承認URL */
	public static final String APPROVE_OK_MAIL_URL = "approve_ok_mail_url";
	/** 否認URL */
	public static final String APPROVE_NG_MAIL_URL = "approve_ng_mail_url";
	/** 承認通知メールテンプレートのファイルパス */
	public static final String APPROVE_OK_MAIL_TEMP_PATH = "approve_ok_mail_temp_path";
	/** 否認通知メールテンプレートのファイルパス */
	public static final String APPROVE_NG_MAIL_TEMP_PATH = "approve_ng_mail_temp_path";

	/** アサイン通知メールテンプレートのファイルパス */
	public static final String ASSIGN_OK_MAIL_TEMP_PATH = "assign_ok_mail_temp_path";
	/** アサイン却下通知メールテンプレートのファイルパス */
	public static final String ASSIGN_NG_MAIL_TEMP_PATH = "assign_ng_mail_temp_path";

	/** 購入申請メールテンプレートのファイルパス */
	public static final String ASSIGN_BUY_RQ_MAIL_TEMP_PATH = "assign_buy_rq_mail_temp_path";
	/** 申請状況確認メニューURL */
	public static final String ASSIGN_REQUEST_STATUS_MENU_URL = "assign_request_status_menu_url";
	
	/** 警告メール閾値 */
	public static final String WARNING_MAIL_THREAD = "warning_mail_thread";
	public static final String WARNING_MAIL_TEMP_PATH = "warning_mail_temp_path";

	/** 銀行情報テキスト */
	public static final String BANK_INFORMATION_TXT_PATH = "bank_information_txt_path";
	/** 申請者アドレス不明時の通知先アドレス */
	public static final String NO_ADDRESS_NOTICE_ADDRESS = "no_address_notice_address";
	/** 申請者アドレス不明時の通知メールテンプレートのファイルパス */
	public static final String NO_ADDRESS_NOTICE_MAIL_TEMP_PATH = "no_address_notice_mail_temp_path";
	
	// 与信システム用
	public static final String LIVUY_URL_LIVUY_HOST = "livuy_url_livuy_host";
	public static final String ORDER_PATH = "order_path";
	public static final String STORE_ID = "store_id";
	
	/**
	 * コンストラクタです
	 * @exception LOException
	 */
	public CafeteriaLoEnv()
		throws LOException
	{
		super();
		// クラス単位の排他処理を行う。
		synchronized( this.getClass() ) {
			//	環境情報の初期化が行われていない時のみ
			//	環境ファイルを読み込む
			if( objProperty == null ) {
				objProperty = loadProperty(mstrFileName);
			}
		}
	}

	/**
	 * 評価ウィンドウオープンフラグを取得します
	 *
	 * @return String 評価ウィンドウオープンフラグ
	 */
	public String getEstimation()
		throws LOException
	{
		return getProperty(ESTIMATION, objProperty);
	}


	/**
	 * CafeteriaLo登録メニューURLを取得します
	 *
	 * @return String 登録メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getInsertMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(INSERT_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * CafeteriaLo更新メニューURLを取得します
	 *
	 * @return String 更新メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getUpdateMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(UPDATE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * CafeteriaLo削除メニューURLを取得します
	 *
	 * @return String 削除メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getDeleteMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(DELETE_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * Cafeteria申請状況確認メニューURLを取得します
	 *
	 * @return String 申請状況確認メニューURL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssignRequestStatusMenuURL()
		throws LOException
	{
		try
		{
			return getProperty(ASSIGN_REQUEST_STATUS_MENU_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 受講申請の有効期間(cookieの有効期間) 単位：日 を取得します
	 *
	 * @return String 有効期間
	 * @exception LOException LO固有の例外エラー
	 */
	public String getExpires()
		throws LOException
	{
		try
		{
			String strExpires = getProperty(EXPIRES, objProperty);
			return strExpires;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * カフェテリアLO起動URLを取得する
	 *
	 * @return String カフェテリアLO起動URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getLaunch_URL()
		throws LOException
	{
		try
		{
			return getProperty(LAUNCH_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	
	/**
	 * 課金申請URLを取得する
	 *
	 * @return String カフェテリアLO起動URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getKakinApply_URL()
		throws LOException
	{
		try
		{
			return getProperty(KAKIN_APPLY_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 課金終了URLを取得する
	 *
	 * @return String カフェテリアLO起動URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getKakinEnd_URL()
		throws LOException
	{
		try
		{
			return getProperty(KAKIN_END_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * コンピ・スキル連携受講申請終了URLを取得する
	 *
	 * @return String カフェテリアLO起動URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getCmpSklCoopEnd_URL()
		throws LOException
	{
		try
		{
			return getProperty(CMP_SKL_COOP_END_URL, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * カフェテリア関連起動ディレクトリを取得する
	 *
	 * @return String カフェテリア関連起動ディレクトリ
	 * @exception LOException LO固有の例外エラー
	 */
	public String getLaunch_dir()
		throws LOException
	{
		try
		{
			return getProperty(LAUNCH_DIR, objProperty);
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	
	/**
	 * 申請処理用URLを取得する
	 *
	 * @return String 承認依頼メール送信処理用URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_rq_mail_url()
		throws LOException
	{
		try
		{
			String strAssign_rq_mail_url = getProperty(ASSIGN_RQ_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_URL, mobjEnv.getSystemURL() );
			strAssign_rq_mail_url = expand( strAssign_rq_mail_url , htbMacro );
			return strAssign_rq_mail_url ;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * １次承認URLを取得する
	 *
	 * @return String １次承認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getPrimaryApprove_ok_mail_url()
		throws LOException
	{
		try
		{
			String strPrimaryApprove_ok_mail_url = getProperty(PRIMARY_APPROVE_OK_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_URL, mobjEnv.getSystemURL() );
			strPrimaryApprove_ok_mail_url = expand( strPrimaryApprove_ok_mail_url , htbMacro );
			return strPrimaryApprove_ok_mail_url ;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 承認URLを取得する
	 *
	 * @return String 承認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApprove_ok_mail_url()
		throws LOException
	{
		try
		{
			String strApprove_ok_mail_url = getProperty(APPROVE_OK_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_URL, mobjEnv.getSystemURL() );
			strApprove_ok_mail_url = expand( strApprove_ok_mail_url , htbMacro );
			return strApprove_ok_mail_url ;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * １次否認URLを取得する
	 *
	 * @return String １次否認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getPrimaryApprove_ng_mail_url()
		throws LOException
	{
		try
		{
			String strPrimaryApprove_ng_mail_url = getProperty(PRIMARY_APPROVE_NG_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_URL, mobjEnv.getSystemURL() );
			strPrimaryApprove_ng_mail_url = expand( strPrimaryApprove_ng_mail_url , htbMacro );
			return strPrimaryApprove_ng_mail_url;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 否認URLを取得する
	 *
	 * @return String 否認URL
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApprove_ng_mail_url()
		throws LOException
	{
		try
		{
			String strApprove_ng_mail_url = getProperty(APPROVE_NG_MAIL_URL, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_URL, mobjEnv.getSystemURL() );
			strApprove_ng_mail_url = expand( strApprove_ng_mail_url , htbMacro );
			return strApprove_ng_mail_url;
		}
		catch(Exception e)
		{
			DebugLog.write( this.getClass(), e, DebugLog.HIGHT );
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 申請確認メールテンプレートを取得する
	 *
	 * @return String １次承認依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApply_confirm_mail_temp_path()
		throws LOException
	{
		try
		{
			String strApply_confirm_mail_temp_path = getProperty(APPLY_CONFIRM_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strApply_confirm_mail_temp_path = expand( strApply_confirm_mail_temp_path , htbMacro );
			return strApply_confirm_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * １次承認依頼メールテンプレートを取得する
	 *
	 * @return String １次承認依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getPrimaryApprove_rq_mail_temp_path()
		throws LOException
	{
		try
		{
			String strPrimaryApprove_rq_mail_temp_path = getProperty(PRIMARY_APPROVE_RQ_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strPrimaryApprove_rq_mail_temp_path = expand( strPrimaryApprove_rq_mail_temp_path , htbMacro );
			return strPrimaryApprove_rq_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 承認依頼メールテンプレートを取得する
	 *
	 * @return String 承認依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApprove_rq_mail_temp_path()
		throws LOException
	{
		try
		{
			String strApprove_rq_mail_temp_path = getProperty(APPROVE_RQ_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strApprove_rq_mail_temp_path = expand( strApprove_rq_mail_temp_path , htbMacro );
			return strApprove_rq_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	

	/**
	 * １次承認通知メールテンプレートを取得する
	 *
	 * @return String １次承認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getPrimaryApprove_ok_mail_temp_path()
		throws LOException
	{
		try
		{
			String strPrimaryApprove_ok_mail_temp_path = getProperty(PRIMARY_APPROVE_OK_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strPrimaryApprove_ok_mail_temp_path = expand( strPrimaryApprove_ok_mail_temp_path , htbMacro );
			return strPrimaryApprove_ok_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 承認通知メールテンプレートを取得する
	 *
	 * @return String 承認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApprove_ok_mail_temp_path()
		throws LOException
	{
		try
		{
			String strApprove_ok_mail_temp_path = getProperty(APPROVE_OK_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strApprove_ok_mail_temp_path = expand( strApprove_ok_mail_temp_path , htbMacro );
			return strApprove_ok_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * アサイン通知メールテンプレートを取得する
	 *
	 * @return String 承認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ok_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_ok_mail_temp_path = getProperty(ASSIGN_OK_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_ok_mail_temp_path = expand( strAssign_ok_mail_temp_path , htbMacro );
			return strAssign_ok_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * １次否認通知メールテンプレートを取得する
	 *
	 * @return String １次否認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getPrimaryApprove_ng_mail_temp_path()
		throws LOException
	{
		try
		{
			String strPrimaryApprove_ng_mail_temp_path = getProperty(PRIMARY_APPROVE_NG_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strPrimaryApprove_ng_mail_temp_path = expand( strPrimaryApprove_ng_mail_temp_path , htbMacro );
			return strPrimaryApprove_ng_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 否認通知メールテンプレートを取得する
	 *
	 * @return String 否認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getApprove_ng_mail_temp_path()
		throws LOException
	{
		try
		{
			String strApprove_ng_mail_temp_path = getProperty(APPROVE_NG_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strApprove_ng_mail_temp_path = expand( strApprove_ng_mail_temp_path , htbMacro );
			return strApprove_ng_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * アサイン否認通知メールテンプレートを取得する
	 *
	 * @return String 否認通知メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_ng_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_ng_mail_temp_path = getProperty(ASSIGN_NG_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_ng_mail_temp_path = expand( strAssign_ng_mail_temp_path , htbMacro );
			return strAssign_ng_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 購入申請要求メールテンプレートを取得します。
	 *
	 * @return String 購入依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getAssign_buy_rq_mail_temp_path()
		throws LOException
	{
		try
		{
			String strAssign_rq_mail_temp_path = getProperty(ASSIGN_BUY_RQ_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strAssign_rq_mail_temp_path = expand( strAssign_rq_mail_temp_path , htbMacro );
			return strAssign_rq_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 申請数チェック閾値を取得します。
	 *
	 * @return String 申請数チェック閾値
	 * @exception LOException LO固有の例外エラー
	 */
	public String getWarning_mail_thread()
		throws LOException
	{
		try
		{
			String strWarning_mail_thread = getProperty(WARNING_MAIL_THREAD, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strWarning_mail_thread = expand( strWarning_mail_thread , htbMacro );
			return strWarning_mail_thread ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 申請数チェック通知メールテンプレートを取得します。
	 *
	 * @return String 購入依頼メールテンプレート
	 * @exception LOException LO固有の例外エラー
	 */
	public String getWarning_mail_temp_path()
		throws LOException
	{
		try
		{
			String strWarning_mail_temp_path = getProperty(WARNING_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strWarning_mail_temp_path = expand( strWarning_mail_temp_path , htbMacro );
			return strWarning_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 振込先銀行情報テキストを取得します。
	 *
	 * @return String 振込先銀行情報テキスト
	 * @exception LOException LO固有の例外エラー
	 */
	public String getBank_information_txt_path()
		throws LOException
	{
		try
		{
			String strBank_information_txt_path = getProperty(BANK_INFORMATION_TXT_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strBank_information_txt_path = expand( strBank_information_txt_path , htbMacro );
			return strBank_information_txt_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 申請者アドレス不明時の通知先アドレスを取得します。
	 *
	 * @return String 振込先銀行情報テキスト
	 * @exception LOException LO固有の例外エラー
	 */
	public String getNo_address_notice_address()
		throws LOException
	{
		try
		{
			String strNo_address_notice_address = getProperty(NO_ADDRESS_NOTICE_ADDRESS, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strNo_address_notice_address = expand( strNo_address_notice_address , htbMacro );
			return strNo_address_notice_address ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 申請者アドレス不明時の通知メールテンプレートを取得します。
	 *
	 * @return String メールテンプレートを取得します。
	 * @exception LOException LO固有の例外エラー
	 */
	public String getNo_address_notice_mail_temp_path()
		throws LOException
	{
		try
		{
			String strNo_address_notice_mail_temp_path = getProperty(NO_ADDRESS_NOTICE_MAIL_TEMP_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strNo_address_notice_mail_temp_path = expand( strNo_address_notice_mail_temp_path , htbMacro );
			return strNo_address_notice_mail_temp_path ;

		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}
	/**
	 * 学習画面のウィンドウサイズ(縦)を取得します
	 *
	 * @return String 学習画面のウィンドウサイズ(縦)
	 */
	public String getWinHeight()
		throws LOException
	{
		return getProperty(WIN_HEIGHT, objProperty);
	}

	/**
	 * 学習画面のウィンドウサイズ(横)を取得します
	 *
	 * @return String 学習画面のウィンドウサイズ(横)
	 */
	public String getWinWidth()
		throws LOException
	{
		return getProperty(WIN_WIDTH, objProperty);
	}

	/**
	 * 与信用ORDER_PATHを取得します
	 *
	 * @return String ORDER_PATH
	 */
	public String getOrderPath()
	throws LOException
	{
		try
		{
			String strOrderPathh = getProperty(ORDER_PATH, objProperty);
			Hashtable htbMacro = new Hashtable();
			htbMacro.put( Environment.SYSTEM_DIR, mobjEnv.getSystemDir() );
			strOrderPathh = expand( strOrderPathh , htbMacro );
			return strOrderPathh ;
	
		}
		catch(Exception e)
		{
			throw new LOException(e.getMessage());
		}
	}

	/**
	 * 与信用STORE_IDを取得します
	 *
	 * @return String STORE_ID
	 */
	public String getStoreId()
		throws LOException
	{
		return getProperty(STORE_ID, objProperty);
	}

	/**
	 * 与信Livuy呼び出しURLを取得します
	 *
	 * @return String LIVUY_URL_LIVUY_HOST
	 */
	public String getLivuyUrlLivuyHost()
		throws LOException
	{
		return getProperty(LIVUY_URL_LIVUY_HOST, objProperty);
	}

}
